head	1.3;
access;
symbols
	RELEASE_8_1_0:1.2
	RELEASE_7_3_0:1.2
	RELEASE_8_0_0:1.2
	RELEASE_7_2_0:1.2
	RELEASE_7_1_0:1.2
	RELEASE_6_4_0:1.2
	RELEASE_5_EOL:1.1
	RELEASE_7_0_0:1.1
	RELEASE_6_3_0:1.1
	PRE_XORG_7:1.1
	RELEASE_4_EOL:1.1
	RELEASE_6_2_0:1.1
	RELEASE_6_1_0:1.1
	RELEASE_5_5_0:1.1;
locks; strict;
comment	@# @;


1.3
date	2010.10.07.16.38.36;	author amdmi3;	state dead;
branches;
next	1.2;

1.2
date	2008.06.14.20.21.01;	author lwhsu;	state Exp;
branches;
next	1.1;

1.1
date	2006.01.29.23.20.45;	author pav;	state Exp;
branches;
next	;


desc
@@


1.3
log
@- Update to 1.07
- Pass maintainership to submitter

PR:		151164
Submitted by:	Davide Italiano <davide.italiano@@gmail.com>
@
text
@--- configure.orig	2008-02-15 22:53:06.000000000 +0900
+++ configure	2008-06-10 21:44:37.000000000 +0900
@@@@ -9502,116 +9502,6 @@@@
 
 fi
 
-
-
-{ echo "$as_me:$LINENO: checking if the stl throws an exception at memory allocation failure" >&5
-echo $ECHO_N "checking if the stl throws an exception at memory allocation failure... $ECHO_C" >&6; }
-if test "${ac_cv_cxx_exception_on_failed_alloc+set}" = set; then
-	{ echo "$as_me:$LINENO: result: (cached) $ac_cv_cxx_exception_on_failed_alloc" >&5
-echo "${ECHO_T}(cached) $ac_cv_cxx_exception_on_failed_alloc" >&6; }
-else
-	if test "$cross_compiling" = yes; then
-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&5
-echo "$as_me: error: cannot run test program while cross compiling
-See \`config.log' for more details." >&2;}
-   { (exit 1); exit 1; }; }
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <string>
-#include <exception>
-
-int main(int argc, char **argv)
-{
-	std::string str;
-
-	str = "a";
-	while (true) {
-		try {
-			str += str;
-		}
-		catch(...) {
-			return(0);
-		}
-	}
-	return(0);
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-		ac_cv_cxx_exception_on_failed_alloc=yes
-
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-{ echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
-		ac_cv_cxx_exception_on_failed_alloc=no
-
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-
-fi
-if test $ac_cv_cxx_exception_on_failed_alloc = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_EXCEPTION_ON_ALLOC_FAILURE 1
-_ACEOF
-
-else
-	{ echo "$as_me:$LINENO: WARNING:
-
-*** NOTICE: This implementation of the STL does not throw an exception for
-memory allocation failure.  (This feature is known to be lacking in at least
-some pre 3.x versions of the gcc compiler suite.)  Memory allocation failure
-should not mean program termination, but without this feature in the STL, the
-author of this software package cannot guarentee the ability to handle memory
-allocation failure gracefully.
-
-	" >&5
-echo "$as_me: WARNING:
-
-*** NOTICE: This implementation of the STL does not throw an exception for
-memory allocation failure.  (This feature is known to be lacking in at least
-some pre 3.x versions of the gcc compiler suite.)  Memory allocation failure
-should not mean program termination, but without this feature in the STL, the
-author of this software package cannot guarentee the ability to handle memory
-allocation failure gracefully.
-
-	" >&2;}
-fi
-
 # Extract the first word of "rsync", so it can be a program name with args.
 set dummy rsync; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
@


1.2
log
@- Update to version 1.02

PR:		ports/124581
Submitted by:	KATO Tsuguru <tkato432 AT yahoo.com>
@
text
@@


1.1
log
@- Unbreak: patch out the offending check from configure script

PR:		ports/92510
Submitted by:	Rainer Alves <rainer.alves@@gmail.com> (maintainer)
@
text
@d1 3
a3 3
--- configure.orig	Mon Nov 14 19:34:54 2005
+++ configure	Sun Jan 29 16:34:06 2006
@@@@ -8613,104 +8613,9 @@@@
d9 2
a10 2
-echo "$as_me:$LINENO: checking if the stl throws an exception at memory allocation failure" >&5
-echo $ECHO_N "checking if the stl throws an exception at memory allocation failure... $ECHO_C" >&6
d12 2
a13 2
-	echo "$as_me:$LINENO: result: (cached) $ac_cv_cxx_exception_on_failed_alloc" >&5
-echo "${ECHO_T}(cached) $ac_cv_cxx_exception_on_failed_alloc" >&6
d49 7
a55 2
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
d59 6
a64 2
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
d68 2
a69 2
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
d78 2
a79 2
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
d83 1
a83 1
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
d85 2
d90 3
a92 3
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_EXCEPTION_ON_ALLOC_FAILURE 1
 _ACEOF
d116 1
a116 1
 
d119 1
@

